% inter2.m
% interpolation affine 
% fd, iacs, juin, 08 juillet, 04 septembre 2004, 08 janvier 2006.
% fd, 29 juin 2026
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
clear , format long
   
printf("inter2 ; interpolation affine elementaire \n"); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

printf("\n");

xlabel (' inter2. Interpolation affine ') ;
pdebut = [-1 1 0] ; 
%  n  nombre de donnees brutes ; c est un nombre d intervalles...
n=4
x =zeros(n+1 , 1) ; 
u0=zeros(n+1 , 1) ; 
dx = 1 / n ;
for j=1:n+1 ; xx = (j-1)*dx ;  
x (j:j , 1) = xx ;
u0(j:j , 1) = polyval(pdebut,xx) ;
end ;
% title ('Cnam Paris. Travaux pratiques Iacs.') ;
%  gset yrange[-0.1:0.4] ; gset xrange[-0.1: 1.1] ; 
axis ( [ -.1 , 1.1 , -.1 , .4  ]) ;
plot(x,u0(:,1),"*;donnees;",x,u0(:,1),"b;interpolation affine;") ;  

 

title ('interpolation affine avec plusieurs points') ;
print('02-interpolation-affine-multiple', '-djpg','-S891,630')  
